Issue 110378

Summary: Title property missing in several Wizard templates
Product: Internationalization Reporter: mtaki_goodday <takizawa>
Component: uiAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: arielch, issues, rgb.mldc
Version: OOo 3.2   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
screenshot
none
Empty combo box on ES localization for fax wizard
none
Spanish strings
none
Basque strings
none
French strings
none
Italian strings
none
Japanese strings
none
Korean strings
none
Portugese (Brazil) strings
none
Slovak strings
none
Swedish strings
none
Chinese (simplified) strings
none
Chinese (traditional) strings
none
Translated ES properties
none
Translated IT properties
none
Translated zh-CN properties
none
Translated JA properties
none
Slovak translated templates.
none
French strings
none
Translated KO properties
none
Asturian language translations none

Description mtaki_goodday 2010-03-25 07:24:25 UTC
How to reproduce this issue
1. Start OpenOffice.org
2. Select File->Wizard->Fax and start Fax Wizard
3. It can select Page Design by down key and up key.
   However There is no text in Page Design combo-box.

This issse reproduce from OOo3.0.
It does not reproduce on OOo2.4.3.
Comment 1 mtaki_goodday 2010-03-25 07:27:13 UTC
Created attachment 68532 [details]
screenshot
Comment 2 rgb 2012-08-19 09:18:55 UTC
Created attachment 78999 [details]
Empty combo box on ES localization for fax wizard

I can see the same problem on ES localization for AOO 3.4.1: as you can see on the attached screenshot, the combo box is empty. The same problem occur if you choose the personal styles. 

The "Agenda" wizard have the same problem of not displaying page styles too.
Comment 3 Ariel Constenla-Haile 2012-08-20 14:35:18 UTC
Those list boxes are filled with the template title, as set in dialog from menu "File" - "Properties...", tab "Description", edit field "Title".

If the "Title" is empty, the list box item will be empty too.
Templates on trunk/main/extras/source/templates/wizard/fax/lang/es have the Title property missing.

The fix for this bug should:

* correct the code, so that the file name is listed when the Title is empty
* identify all templates with empty Title and ask for l10n help to translate them (unfortunately there is no other way than editing the ODF template files).
Comment 4 Ariel Constenla-Haile 2012-08-21 00:46:24 UTC
(In reply to comment #3)
> Those list boxes are filled with the template title, as set in dialog from
> menu "File" - "Properties...", tab "Description", edit field "Title".
> 
> If the "Title" is empty, the list box item will be empty too.
> Templates on trunk/main/extras/source/templates/wizard/fax/lang/es have the
> Title property missing.
> 
> The fix for this bug should:
> 
> * correct the code, so that the file name is listed when the Title is empty
> * identify all templates with empty Title 


Found a total of 292 templates without Title, in 11 Languages (es, eu, fr, it, ja, ko, pt-BR, sk, sv, zh-CN, zh-TW)

I didn't check each template by opening one by one, I did a small client application with AOO API in Java, so that the translation can be reduced to simple translate a properties file, and then updating the templates with the same client application.


> ask for l10n help to translate
> them (unfortunately there is no other way than editing the ODF template
> files).

this can be automated, as explained above. An example of the properties file for ES templates:


#Format: wizard.template_file_name_no_extension=English_Title
#Mon Aug 20 21:39:18 ART 2012
agenda.10grey=Grey
agenda.1simple=Simple
agenda.2elegant=Elegant
agenda.3modern=Modern
agenda.4classic=Classic
agenda.5blue=Blue
agenda.6orange=Orange
agenda.7red=Red
agenda.8green=Green
agenda.9colorful=Colorful
agenda.aw-10grey=Grey
agenda.aw-1simple=Simple
agenda.aw-2elegant=Elegant
agenda.aw-4classic=Classic
agenda.aw-5blue=Blue
agenda.aw-6orange=Orange
agenda.aw-7red=Red
agenda.aw-8green=Green
agenda.aw-9colorful=Colorful
fax.bus-classic-pri_f=Classic Fax from Private
fax.bus-classic_f=Classic Fax
fax.bus-modern-pri_f=Modern Fax from Private
fax.bus-modern_f=Modern Fax
fax.pri-bottle_f=Bottle
fax.pri-fax_f=Fax
fax.pri-lines_f=Lines
fax.pri-marine_f=Marine
Comment 5 Ariel Constenla-Haile 2012-08-25 20:57:13 UTC
Created attachment 79134 [details]
Spanish strings
Comment 6 Ariel Constenla-Haile 2012-08-25 20:57:39 UTC
Created attachment 79135 [details]
Basque strings
Comment 7 Ariel Constenla-Haile 2012-08-25 20:58:01 UTC
Created attachment 79136 [details]
French strings
Comment 8 Ariel Constenla-Haile 2012-08-25 20:58:30 UTC
Created attachment 79137 [details]
Italian strings
Comment 9 Ariel Constenla-Haile 2012-08-25 20:58:49 UTC
Created attachment 79138 [details]
Japanese strings
Comment 10 Ariel Constenla-Haile 2012-08-25 20:59:14 UTC
Created attachment 79139 [details]
Korean strings
Comment 11 Ariel Constenla-Haile 2012-08-25 20:59:33 UTC
Created attachment 79140 [details]
Portugese (Brazil) strings
Comment 12 Ariel Constenla-Haile 2012-08-25 21:00:34 UTC
Created attachment 79141 [details]
Slovak strings
Comment 13 Ariel Constenla-Haile 2012-08-25 21:01:04 UTC
Created attachment 79142 [details]
Swedish strings
Comment 14 Ariel Constenla-Haile 2012-08-25 21:01:38 UTC
Created attachment 79143 [details]
Chinese (simplified) strings
Comment 15 Ariel Constenla-Haile 2012-08-25 21:02:06 UTC
Created attachment 79144 [details]
Chinese (traditional) strings
Comment 16 rgb 2012-08-25 23:00:14 UTC
Created attachment 79145 [details]
Translated ES properties

Translated into Spanish the EN titles after the "=" signs.
Comment 17 SVN Robot 2012-08-26 01:58:30 UTC
"arielch" committed SVN revision 1377369 into trunk:
#i110378# - Set Title document property in Spanish TemplatesTranslation by Ri...
Comment 18 Andrea Pescetti 2012-08-26 15:35:22 UTC
Created attachment 79149 [details]
Translated IT properties

Translated IT properties, contributed by Riccardo Vianello
Comment 19 Shan Zhu 2012-08-26 15:41:43 UTC
Created attachment 79150 [details]
Translated zh-CN properties

Translated strings into zh-CN.
Comment 20 SVN Robot 2012-08-26 15:59:08 UTC
"arielch" committed SVN revision 1377450 into trunk:
#i110378# - Set Title document property in Italian TemplatesTranslation by Ri...
Comment 21 SVN Robot 2012-08-26 16:05:09 UTC
"arielch" committed SVN revision 1377451 into trunk:
#i110378# - Set Title document property in zh-CN TemplatesTranslation by Shan...
Comment 22 hanya 2012-08-26 17:26:16 UTC
Created attachment 79151 [details]
Translated JA properties

Translated to JA, as escaped Java property file.
Comment 23 SVN Robot 2012-08-26 19:00:03 UTC
"arielch" committed SVN revision 1377484 into trunk:
#i110378# - Set Title document property in JA TemplatesTranslation by Tsutomu...
Comment 24 Michal Hriƈ 2012-08-27 08:32:23 UTC
Created attachment 79172 [details]
Slovak translated templates.
Comment 25 SVN Robot 2012-08-27 13:54:59 UTC
"arielch" committed SVN revision 1377684 into trunk:
#i110378# - Set Title document property in Slovak TemplatesTranslation by MMi...
Comment 26 oooforum (fr) 2012-09-10 13:16:30 UTC
Created attachment 79386 [details]
French strings
Comment 27 SVN Robot 2012-09-12 11:01:27 UTC
"arielch" committed SVN revision 1383879 into trunk:
#i110378# - Set Title document property in French TemplatesTranslation by Bid...
Comment 28 jeongkyu.kim 2012-10-10 18:13:04 UTC
Created attachment 79760 [details]
Translated KO properties
Comment 29 SVN Robot 2012-10-10 22:07:26 UTC
"arielch" committed SVN revision 1396827 into trunk:
#i110378# - Title property missing in several Wizard templates\n\nKO translat...
Comment 30 Xuacu 2013-05-16 16:00:20 UTC
Created attachment 80700 [details]
Asturian language translations

It's not in the missing languages list, but AOO in Asturian language displays English template names. This is an Asturian translation.
Regards.
Comment 31 Marcus 2017-05-20 11:13:49 UTC
Reset assigne to the default "issues@openoffice.apache.org".